.container {
  display: flex;
  width: 100%;
  padding: 20px 0;
  gap: 20px;
}

.side-panel {
  width: 20%;
  background-color: #f4f4f4;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.227);
}

.category-section {
  border-bottom: 2px solid #146cda;
  margin-bottom: 20px;
}

.side-panel h3 {
  margin-bottom: 10px;
  font-size: 18px;
  color: #141313;
}

.side-panel ul {
  list-style: none;
  padding-left: 0;
  margin-bottom: 20px;
}

.side-panel ul li {
  margin-bottom: 10px;
  font-size: 16px;
  padding: 6px;
  cursor: pointer;
  transition: all 0.3s ease;
}
.category-selected {
  background-color: #8fc6fd;
  font-weight: 600;
}
.side-panel ul li:hover {
  background-color: #c6e2fe;
}


.filter {
  margin-bottom: 15px;
  display: flex;
  gap: 10px;
}

.filter label {
  display: block;
  font-size: 16px;
  margin-bottom: 5px;
}

.filter input[type="checkbox"] {
  margin-right: 10px;
}

.main-content {
  width: 80%;
}

.top-bar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px;
}

.top-bar .sort-filter label {
  padding-right: 18px;
}

.top-bar select {
  padding: 5px 10px;
  font-size: 16px;
}

/* search  */
.search-box {
  display: flex;
  align-items: center;
  background: #fff;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  transition: 0.3s;
  border-radius: 20px;
  overflow: hidden;
  padding-left: 6px;
}

.search-box:hover {
  box-shadow: 0 6px 15px rgba(0, 0, 0, 0.15);
}

.search-box input {
  border: none;
  outline: none;
  padding: 10px;
  width: 250px;
  font-size: 16px;
  border-radius: 20px;
}

.search-box button {
  background: #146cda;
  border: none;
  border-radius: 50%;
  padding: 10px 15px;
  color: white;
  cursor: pointer;
  transition: 0.3s;
}

.search-box button:hover {
  background: #0058c3;
}

.search-box i {
  font-size: 16px;
}

.product-grid {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: 16px;
  padding: 16px;
  box-sizing: border-box;
  width: 100%;
}

.product-card {
  background-color: #fff;
  border-radius: 5px;
  padding: 2px;
  overflow: hidden;
  border: 1px solid #ccc;
  text-align: center;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.product-card-image {
  width: 100%;
  padding: 4px;
  height: auto;
  overflow: hidden;
}

.product-card img {
  max-width: 100%;
  border-radius: 4px;
}

.product-card-details {
  padding: 6px;
  max-width: 100%;
}

.product-card-details h4 {
  margin-top: 10px;
  font-size: 16px;
  font-weight: 600;
  color: #333;
  text-align: center;

  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  line-height: 1.4;
  max-height: calc(1.4em * 2);
  white-space: normal;
}

.product-card-details a {
  text-decoration: none;
  color: inherit;
}

.product-card-details a:hover {
  color: #004ed4;
}

.product-card-details .price {
  display: flex;
  gap: 6px;
}

.product-card-details .price .selling-price {
  font-size: 16px;
  font-weight: 600;
}

.product-card-details .price .actual-price {
  font-size: 12px;
  font-weight: 400;
  text-decoration: line-through;
}
.rating-price{
  display: flex;
  justify-content: space-between;
}


.item-rating {
  font-size: 18px;
  font-weight: bold;
  color: #187100;
  display: flex;
  text-align: center;
  gap: 5px;
  justify-content: center;

}

.product-actions {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 12px;
  padding: 6px;
  margin-top: 4px;
}

.product-actions .add-cart {
  padding: 4px 6px;
  outline: none;
  border: none;
  border-radius: 14px;
  color: #ffffff;
  font-size: 13px;
  flex: 1;
}

.out-of-stock {
  border: 1px solid red;
  padding: 4px 6px;
  outline: none;
  border-radius: 14px;
  color: #c50000;
  font-size: 13px;
  flex: 1;
  cursor: not-allowed;
}

.product-actions .add-cart {
  background-color: #fb641b;
}

.wishlist-icon {
  font-size: 24px;
  cursor: pointer;
  color: rgb(159, 159, 159);
  transition: color 0.3s ease-in-out;
}

.wishlist-icon:hover{
  color: #ff3730;
}

.wishlist-default{
  color: rgb(159, 159, 159);
}

.wishlist-selected{
  color: #ff3730;
}






.product-actions .add-cart:hover,
.product-actions .wishlist:hover {
  opacity: 0.9;
  transition: opacity 0.3s ease;
}

.product-actions .add-cart:active {
  background-color: #d74800;
}

.product-actions .wishlist:active {
  background-color: #a86800;
}

.empty {
  display: flex;
}

.pagination {
  display: flex;
  justify-content: center;
  gap: 5px;
  margin-top: 10px;
}

.pagination button {
  background-color: #146CDA;
  color: white;
  border: none;
  padding: 5px 10px;
  font-size: 12px;
  cursor: pointer;
  border-radius: 3px;
  transition: all 0.3s ease, opacity 0.3s;
}

.pagination button:hover {
  background-color: #0053b9;
}

.pagination button:disabled {
  background-color: #909090;
  cursor: not-allowed;
  opacity: 0.6;
}

